package com.fizz.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fizz.business.domain.RollData;
import com.fizz.business.vo.OnlineRollDataVO;
import com.fizz.business.vo.ReadyRollDataVO;

import java.util.List;
import java.util.Map;

public interface RollDataService extends IService<RollData> {
    List<RollData> getList(String position,String type,String status);

    List<ReadyRollDataVO> getReadyRollList(String position,String type,String status);

    Map<String,ReadyRollDataVO> getAllReadyRollList();

    List<OnlineRollDataVO> getOnlineRollList();

    String BackupRoll(List<ReadyRollDataVO> rollList);

    List<OnlineRollDataVO> onlineRoll();
}
